weka.classifiers.pmml.consumer

## Class RuleSetModel

- java.lang.Object
- - weka.classifiers.AbstractClassifier
  - - weka.classifiers.pmml.consumer.PMMLClassifier
    - - weka.classifiers.pmml.consumer.RuleSetModel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Classifier, BatchPredictor, CapabilitiesHandler, CapabilitiesIgnorer, CommandlineRunnable, OptionHandler, PMMLModel, RevisionHandler

      public class RuleSetModel
      extends PMMLClassifier

  Class implementing import of PMML RuleSetModel. Can be used as a Weka classifier for prediction only (buildClassifier() raises an Exception).
  Version:
    $Revision: 8034 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class weka.classifiers.AbstractClassifier

      `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetModel(org.w3c.dom.Element model, Instances dataDictionary, MiningSchema miningSchema)` Constructor for a RuleSetModel

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `distributionForInstance(Instance inst)` Classifies the given test instance.
    `java.lang.String` | `getRevision()` Get the revision string for this class
    `java.lang.String` | `toString()` Return a textual description of this model.

    - ### Methods inherited from class weka.classifiers.pmml.consumer.PMMLClassifier

      `buildClassifier, done, getCreatorApplication, getDataDictionary, getFieldsMappingString, getLog, getMiningSchema, getPMMLVersion, mapToMiningSchema, setCreatorApplication, setLog, setPMMLVersion`

    - ### Methods inherited from class weka.classifiers.AbstractClassifier

      `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getCapabilities, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getOptions, implementsMoreEfficientBatchPrediction, listOptions, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces, setOptions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleSetModel

          public RuleSetModel(org.w3c.dom.Element model,
                              Instances dataDictionary,
                              MiningSchema miningSchema)
                       throws java.lang.Exception

      Constructor for a RuleSetModel
      Parameters:
        `model` - the XML element encapsulating the RuleSetModel
        `dataDictionary` - the data dictionary to use
        `miningSchema` - the mining schema to use
      Throws:
        `java.lang.Exception` - if something goes wrong

  - ### Method Detail

    - #### distributionForInstance

          public double[] distributionForInstance(Instance inst)
                                           throws java.lang.Exception

      Classifies the given test instance. The instance has to belong to a dataset when it's being classified.
      Specified by:
        `distributionForInstance` in interface `Classifier`
      Overrides:
        `distributionForInstance` in class `AbstractClassifier`
      Parameters:
        `inst` - the instance to be classified
      Returns:
        the predicted most likely class for the instance or Utils.missingValue() if no prediction is made
      Throws:
        `java.lang.Exception` - if an error occurred during the prediction

    - #### toString

          public java.lang.String toString()

      Return a textual description of this model.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a textual description of this model

    - #### getRevision

          public java.lang.String getRevision()

      Get the revision string for this class
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Overrides:
        `getRevision` in class `AbstractClassifier`
      Returns:
        the revision string